//
//  MJRefreshComponent+Private.m
//  Pods
//
//  Created by wangyang on 2017/6/5.
//
//

#import "MJRefreshComponent+Private.h"

@implementation MJRefreshComponent (Private)
-(UIViewController*)myViewController
{
    UIResponder *nextResponder =  self;

    do
    {
        nextResponder = [nextResponder nextResponder];

        if ([nextResponder isKindOfClass:[UIViewController class]])
            return (UIViewController*)nextResponder;

    } while (nextResponder != nil);
    
    return nil;
}
@end
